package com.mortals.xhx.module.yth.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:YthFlowlimit
* date: 2021-9-7 10:49:11
*/
public class YthFlowlimitQuery extends YthFlowlimitEntity{
    private static final long serialVersionUID = 1630982951515L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;

    /** 开始 事项id */
    private Long matteridStart;

    /** 结束 事项id */
    private Long matteridEnd;

    /** 增加 事项id */
    private Long matteridIncrement;

    /** 事项id */
    private List <Long> matteridList;


    /** 流程名 */
    private List<String> nodeNameList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序 */
    private List <Integer> sortList;

    /** 开始 转外时限 */
    private Integer outTimeLimitStart;

    /** 结束 转外时限 */
    private Integer outTimeLimitEnd;

    /** 增加 转外时限 */
    private Integer outTimeLimitIncrement;

    /** 转外时限 */
    private List <Integer> outTimeLimitList;

    /** 开始 承诺办理时限 */
    private Integer handleTimeLimitStart;

    /** 结束 承诺办理时限 */
    private Integer handleTimeLimitEnd;

    /** 增加 承诺办理时限 */
    private Integer handleTimeLimitIncrement;

    /** 承诺办理时限 */
    private List <Integer> handleTimeLimitList;

    /** 办事窗口 */
    private List<String> handleWindowList;

    /** 审批标准 */
    private List<String> approvalStandardList;

    /** 办理类型 */
    private List<String> bizTypeList;

    /** 流程提交状态 */
    private List<String> complexWorkFlowFlagList;

    /**  */
    private List<String> nodeIdList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户 */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<YthFlowlimitQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<YthFlowlimitQuery> andConditionList;


    public YthFlowlimitQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 开始 事项id
    * @return matteridStart
    */
    public Long getMatteridStart(){
    return this.matteridStart;
    }

    /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public void setMatteridStart(Long matteridStart){
    this.matteridStart = matteridStart;
    }

    /**
    * 获取 结束 事项id
    * @return matteridEnd
    */
    public Long getMatteridEnd(){
    return this.matteridEnd;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public void setMatteridEnd(Long matteridEnd){
    this.matteridEnd = matteridEnd;
    }

    /**
    * 获取 增加 事项id
    * @return matteridIncrement
    */
    public Long getMatteridIncrement(){
    return this.matteridIncrement;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public void setMatteridIncrement(Long matteridIncrement){
    this.matteridIncrement = matteridIncrement;
    }

    /**
    * 获取 事项id
    * @return matteridList
    */
    public List<Long> getMatteridList(){
    return this.matteridList;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public void setMatteridList(List<Long> matteridList){
        this.matteridList = matteridList;
        }
    /**
    * 获取 流程名
    * @return nodeNameList
    */
    public List<String> getNodeNameList(){
        return this.nodeNameList;
    }

    /**
    * 设置 流程名
    * @param nodeNameList
    */
    public void setNodeNameList(List<String> nodeNameList){
        this.nodeNameList = nodeNameList;
    }
    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }
    /**
    * 获取 开始 转外时限
    * @return outTimeLimitStart
    */
    public Integer getOutTimeLimitStart(){
        return this.outTimeLimitStart;
    }

    /**
    * 设置 开始 转外时限
    * @param outTimeLimitStart
    */
    public void setOutTimeLimitStart(Integer outTimeLimitStart){
        this.outTimeLimitStart = outTimeLimitStart;
    }

    /**
    * 获取 结束 转外时限
    * @return outTimeLimitEnd
    */
    public Integer getOutTimeLimitEnd(){
        return this.outTimeLimitEnd;
    }

    /**
    * 设置 结束 转外时限
    * @param outTimeLimitEnd
    */
    public void setOutTimeLimitEnd(Integer outTimeLimitEnd){
        this.outTimeLimitEnd = outTimeLimitEnd;
    }

    /**
    * 获取 增加 转外时限
    * @return outTimeLimitIncrement
    */
    public Integer getOutTimeLimitIncrement(){
        return this.outTimeLimitIncrement;
    }

    /**
    * 设置 增加 转外时限
    * @param outTimeLimitIncrement
    */
    public void setOutTimeLimitIncrement(Integer outTimeLimitIncrement){
        this.outTimeLimitIncrement = outTimeLimitIncrement;
    }

    /**
    * 获取 转外时限
    * @return outTimeLimitList
    */
    public List<Integer> getOutTimeLimitList(){
        return this.outTimeLimitList;
    }

    /**
    * 设置 转外时限
    * @param outTimeLimitList
    */
    public void setOutTimeLimitList(List<Integer> outTimeLimitList){
        this.outTimeLimitList = outTimeLimitList;
    }
    /**
    * 获取 开始 承诺办理时限
    * @return handleTimeLimitStart
    */
    public Integer getHandleTimeLimitStart(){
        return this.handleTimeLimitStart;
    }

    /**
    * 设置 开始 承诺办理时限
    * @param handleTimeLimitStart
    */
    public void setHandleTimeLimitStart(Integer handleTimeLimitStart){
        this.handleTimeLimitStart = handleTimeLimitStart;
    }

    /**
    * 获取 结束 承诺办理时限
    * @return handleTimeLimitEnd
    */
    public Integer getHandleTimeLimitEnd(){
        return this.handleTimeLimitEnd;
    }

    /**
    * 设置 结束 承诺办理时限
    * @param handleTimeLimitEnd
    */
    public void setHandleTimeLimitEnd(Integer handleTimeLimitEnd){
        this.handleTimeLimitEnd = handleTimeLimitEnd;
    }

    /**
    * 获取 增加 承诺办理时限
    * @return handleTimeLimitIncrement
    */
    public Integer getHandleTimeLimitIncrement(){
        return this.handleTimeLimitIncrement;
    }

    /**
    * 设置 增加 承诺办理时限
    * @param handleTimeLimitIncrement
    */
    public void setHandleTimeLimitIncrement(Integer handleTimeLimitIncrement){
        this.handleTimeLimitIncrement = handleTimeLimitIncrement;
    }

    /**
    * 获取 承诺办理时限
    * @return handleTimeLimitList
    */
    public List<Integer> getHandleTimeLimitList(){
        return this.handleTimeLimitList;
    }

    /**
    * 设置 承诺办理时限
    * @param handleTimeLimitList
    */
    public void setHandleTimeLimitList(List<Integer> handleTimeLimitList){
        this.handleTimeLimitList = handleTimeLimitList;
    }
    /**
    * 获取 办事窗口
    * @return handleWindowList
    */
    public List<String> getHandleWindowList(){
        return this.handleWindowList;
    }

    /**
    * 设置 办事窗口
    * @param handleWindowList
    */
    public void setHandleWindowList(List<String> handleWindowList){
        this.handleWindowList = handleWindowList;
    }
    /**
    * 获取 审批标准
    * @return approvalStandardList
    */
    public List<String> getApprovalStandardList(){
        return this.approvalStandardList;
    }

    /**
    * 设置 审批标准
    * @param approvalStandardList
    */
    public void setApprovalStandardList(List<String> approvalStandardList){
        this.approvalStandardList = approvalStandardList;
    }
    /**
    * 获取 办理类型
    * @return bizTypeList
    */
    public List<String> getBizTypeList(){
        return this.bizTypeList;
    }

    /**
    * 设置 办理类型
    * @param bizTypeList
    */
    public void setBizTypeList(List<String> bizTypeList){
        this.bizTypeList = bizTypeList;
    }
    /**
    * 获取 流程提交状态
    * @return complexWorkFlowFlagList
    */
    public List<String> getComplexWorkFlowFlagList(){
        return this.complexWorkFlowFlagList;
    }

    /**
    * 设置 流程提交状态
    * @param complexWorkFlowFlagList
    */
    public void setComplexWorkFlowFlagList(List<String> complexWorkFlowFlagList){
        this.complexWorkFlowFlagList = complexWorkFlowFlagList;
    }
    /**
    * 获取 
    * @return nodeIdList
    */
    public List<String> getNodeIdList(){
        return this.nodeIdList;
    }

    /**
    * 设置 
    * @param nodeIdList
    */
    public void setNodeIdList(List<String> nodeIdList){
        this.nodeIdList = nodeIdList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public YthFlowlimitQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public YthFlowlimitQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public YthFlowlimitQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public YthFlowlimitQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public YthFlowlimitQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

	/**
    * 设置  事项id
    * @param matterid
    */
    public YthFlowlimitQuery matterid(Long matterid){
	    setMatterid(matterid);
		return this;
    }
	
	 /**
    * 设置 开始 事项id
    * @param matteridStart
    */
    public YthFlowlimitQuery matteridStart(Long matteridStart){
		this.matteridStart = matteridStart;
		return this;
    }

    /**
    * 设置 结束 事项id
    * @param matteridEnd
    */
    public YthFlowlimitQuery matteridEnd(Long matteridEnd){
		this.matteridEnd = matteridEnd;
		return this;
    }

    /**
    * 设置 增加 事项id
    * @param matteridIncrement
    */
    public YthFlowlimitQuery matteridIncrement(Long matteridIncrement){
		this.matteridIncrement = matteridIncrement;
		return this;
    }

    /**
    * 设置 事项id
    * @param matteridList
    */
    public YthFlowlimitQuery matteridList(List<Long> matteridList){
        this.matteridList = matteridList;
		return this;
        }
	/**
    * 设置 流程名
    * @param nodeName
    */
    public YthFlowlimitQuery nodeName(String nodeName){
        setNodeName(nodeName);
		return this;
    }


    /**
    * 设置 流程名
    * @param nodeNameList
    */
    public YthFlowlimitQuery nodeNameList(List<String> nodeNameList){
        this.nodeNameList = nodeNameList;
		return this;
    }
	
	/**
    * 设置  排序
    * @param sort
    */
    public YthFlowlimitQuery sort(Integer sort){
        setSort(sort);
		return this;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public YthFlowlimitQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
		return this;
    }


    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public YthFlowlimitQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
		return this;
    }


    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public YthFlowlimitQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
		return this;
    }


    /**
    * 设置 排序
    * @param sortList
    */
    public YthFlowlimitQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
    }
	
	/**
    * 设置  转外时限
    * @param outTimeLimit
    */
    public YthFlowlimitQuery outTimeLimit(Integer outTimeLimit){
        setOutTimeLimit(outTimeLimit);
		return this;
    }

    /**
    * 设置 开始 转外时限
    * @param outTimeLimitStart
    */
    public YthFlowlimitQuery outTimeLimitStart(Integer outTimeLimitStart){
        this.outTimeLimitStart = outTimeLimitStart;
		return this;
    }


    /**
    * 设置 结束 转外时限
    * @param outTimeLimitEnd
    */
    public YthFlowlimitQuery outTimeLimitEnd(Integer outTimeLimitEnd){
        this.outTimeLimitEnd = outTimeLimitEnd;
		return this;
    }


    /**
    * 设置 增加 转外时限
    * @param outTimeLimitIncrement
    */
    public YthFlowlimitQuery outTimeLimitIncrement(Integer outTimeLimitIncrement){
        this.outTimeLimitIncrement = outTimeLimitIncrement;
		return this;
    }


    /**
    * 设置 转外时限
    * @param outTimeLimitList
    */
    public YthFlowlimitQuery outTimeLimitList(List<Integer> outTimeLimitList){
        this.outTimeLimitList = outTimeLimitList;
		return this;
    }
	
	/**
    * 设置  承诺办理时限
    * @param handleTimeLimit
    */
    public YthFlowlimitQuery handleTimeLimit(Integer handleTimeLimit){
        setHandleTimeLimit(handleTimeLimit);
		return this;
    }

    /**
    * 设置 开始 承诺办理时限
    * @param handleTimeLimitStart
    */
    public YthFlowlimitQuery handleTimeLimitStart(Integer handleTimeLimitStart){
        this.handleTimeLimitStart = handleTimeLimitStart;
		return this;
    }


    /**
    * 设置 结束 承诺办理时限
    * @param handleTimeLimitEnd
    */
    public YthFlowlimitQuery handleTimeLimitEnd(Integer handleTimeLimitEnd){
        this.handleTimeLimitEnd = handleTimeLimitEnd;
		return this;
    }


    /**
    * 设置 增加 承诺办理时限
    * @param handleTimeLimitIncrement
    */
    public YthFlowlimitQuery handleTimeLimitIncrement(Integer handleTimeLimitIncrement){
        this.handleTimeLimitIncrement = handleTimeLimitIncrement;
		return this;
    }


    /**
    * 设置 承诺办理时限
    * @param handleTimeLimitList
    */
    public YthFlowlimitQuery handleTimeLimitList(List<Integer> handleTimeLimitList){
        this.handleTimeLimitList = handleTimeLimitList;
		return this;
    }
	/**
    * 设置 办事窗口
    * @param handleWindow
    */
    public YthFlowlimitQuery handleWindow(String handleWindow){
        setHandleWindow(handleWindow);
		return this;
    }


    /**
    * 设置 办事窗口
    * @param handleWindowList
    */
    public YthFlowlimitQuery handleWindowList(List<String> handleWindowList){
        this.handleWindowList = handleWindowList;
		return this;
    }
	/**
    * 设置 审批标准
    * @param approvalStandard
    */
    public YthFlowlimitQuery approvalStandard(String approvalStandard){
        setApprovalStandard(approvalStandard);
		return this;
    }


    /**
    * 设置 审批标准
    * @param approvalStandardList
    */
    public YthFlowlimitQuery approvalStandardList(List<String> approvalStandardList){
        this.approvalStandardList = approvalStandardList;
		return this;
    }
	/**
    * 设置 办理类型
    * @param bizType
    */
    public YthFlowlimitQuery bizType(String bizType){
        setBizType(bizType);
		return this;
    }


    /**
    * 设置 办理类型
    * @param bizTypeList
    */
    public YthFlowlimitQuery bizTypeList(List<String> bizTypeList){
        this.bizTypeList = bizTypeList;
		return this;
    }
	/**
    * 设置 流程提交状态
    * @param complexWorkFlowFlag
    */
    public YthFlowlimitQuery complexWorkFlowFlag(String complexWorkFlowFlag){
        setComplexWorkFlowFlag(complexWorkFlowFlag);
		return this;
    }


    /**
    * 设置 流程提交状态
    * @param complexWorkFlowFlagList
    */
    public YthFlowlimitQuery complexWorkFlowFlagList(List<String> complexWorkFlowFlagList){
        this.complexWorkFlowFlagList = complexWorkFlowFlagList;
		return this;
    }
	/**
    * 设置 
    * @param nodeId
    */
    public YthFlowlimitQuery nodeId(String nodeId){
        setNodeId(nodeId);
		return this;
    }


    /**
    * 设置 
    * @param nodeIdList
    */
    public YthFlowlimitQuery nodeIdList(List<String> nodeIdList){
        this.nodeIdList = nodeIdList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public YthFlowlimitQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public YthFlowlimitQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户
    * @param createUser
    */
    public YthFlowlimitQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户
    * @param createUserList
    */
    public YthFlowlimitQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<YthFlowlimitQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<YthFlowlimitQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<YthFlowlimitQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<YthFlowlimitQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}